LICENSE
----------------------------------------------------------------------------

The CGAL software consists of several parts, each of which is licensed under
an open source license. It is also possible to obtain commercial licenses
from GeometryFactory (www.geometryfactory.com) for all or parts of CGAL.

The source code of the CGAL library can be found in the directories
"src/CGAL", "src/CGALQt", "src/CGALQt5" and "include/CGAL" (with the
exception of "include/CGAL/CORE", "include/CGAL/OpenNL").
It is specified in each file of the CGAL library which
license applies to it. This is either the GNU General Public License
or the GNU Lesser General Public License (as published by the Free Software
Foundation; either version 3 of the License or (at your option) any later
version). The texts of both licenses can be found in the files LICENSE.GPL
and LICENSE.LGPL.

The following files are modified versions taken from Boost and are licensed
under the Boost Software License (see LICENSE.BSL).
- include/CGAL/auto_link/auto_link.h
- include/CGAL/internal/container_fwd_fixed.hpp
- include/CGAL/internal/boost/array_binary_tree.hpp
- include/CGAL/internal/boost/mutable_heap.hpp
- include/CGAL/internal/boost/mutable_queue.hpp

Distributed along with CGAL (for the users' convenience), but not part of
CGAL, are the following third-party libraries, available under their own
licenses:

- CORE, in the directories "include/CGAL/CORE" and "src/CGAL_Core", is
  licensed under the LGPL (see LICENSE.LGPL).
- ImageIO, in the directory "src/CGAL_ImageIO", is licensed under the LGPL
  (see LICENSE.LGPL).
- OpenNL, in the directory "include/CGAL/OpenNL", is licensed under the LGPL
  (see LICENSE.LGPL).
- ETH Zurich random forest algorithm, in the directory "CGAL/Classification/ETHZ",
  is licensed under a MIT like license (see LICENSE.RFL).

All other files that do not have an explicit copyright notice (e.g., all
examples and some demos) are licensed under the Creative Commons CC0 1.0 license. The
exact text can be found at https://creativecommons.org/publicdomain/zero/1.0/".

More information on the CGAL license can be found at
https://www.cgal.org/license.html
